{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block content %}




<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <div class="row align-items-center">
                    <div class="col" style="flex-grow:2">
                        <h4 class="card-title">{{title}}</h4>
                    </div>
                    <!--end col-->
                    <div class="col-auto" style="flex-grow:1">
                        <form action=".">
                            <div class="row">
                                <div class="col-md-9">
                                                                                <input class="form-control" placeholder="Search" value="{{request.GET.q|default:''}}" name="q" type="search">

                                    </div>
                                    <div class="col-md-3"><button class="btn  btn-soft-primary" role="button">Submit</button></div>
                                </div>
                            </div>
                        </form>
                    <!--end col-->
                </div>
                <!--end row-->
            </div>
            <!--end card-header-->
            <div class="card-body">
                <div class="table-responsive">

                    {% if instances %}
                    <table class="table mb-0">
                        <thead class="thead-light">
                            <tr>
                                <th>Sl.no</th>
                                <th>Name</th>
                                <th>Creator</th>
                                <th>Updater</th>
                                <th class="text-right">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for instance in instances %}
                            <tr>
                                <td>{% if page_obj.has_other_pages %}{{ forloop.counter0|add:page_obj.start_index }}{% else %}{{forloop.counter}}{% endif %}</td>
                                <td>{{instance.name}}</td>
                                <td>{{instance.creator}} ({{instance.date_added|date:datetime_format}})</td>
                                <td>{{instance.updater|default:"-"}} {% if instance.date_updated %}({{instance.date_updated|date:datetime_format}}){% endif %}</td>
                                <td class="text-right">
                                    <a href="{% url 'tenants:document_type_view' instance.pk %}"><i class="las la-eye text-info font-18" title="View"></i></a>
                                    <a href="{% url 'tenants:document_type_update' instance.pk %}"><i class="las la-pen text-warning font-18" title="Edit"></i></a>
                                    <a href="{% url 'tenants:document_type_delete' instance.pk %}" data-id="{{instance.pk}}" data-text="Are you sure you want to delete this item?" data-title="Are you sure?" class="action-button remove"><i class="las la-trash-alt text-danger font-18" title="Delete"></i></a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% include 'includes/pagination.html' %}
                    {% else %}
                    {% include 'includes/not_found.html' %}
                    {% endif %}

                </div>
                <!--end table-responsive-->
            </div>
            <!--end card-body-->
        </div>
        <!--end card-->
    </div>
    <!--end col-->
</div>
{% endblock %}
{% block static %}
{% endblock %}